package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业
 */
@Data
@TableName("ddt_enterprise")
public class Enterprise implements Serializable {
    /**
     * 统一社会信用代码
     */
    @TableId("enterprise_usci")
    private String enterpriseUsci;
    /**
     * 企业图片
     */
    @TableField("enterprise_img")
    private String enterpriseImg;
    /**
     * 企业名称
     */
    @TableField("enterprise_name")
    private String enterpriseName;
    /**
     * 企业简称
     */
    @TableField("enterprise_name_short")
    private String enterpriseNameShort;
    /**
     * 地址信息
     */
    @TableField("addr_info")
    private String addrInfo;
    /**
     * 地区信息
     */
    @TableField("addr_code")
    private String addrCode;
    /**
     * 公司简介
     */
    @TableField("enterprise_info")
    private String enterpriseInfo;
    /**
     * 经营范围描述
     */
    @TableField("manage_range_info")
    private String manageRangeInfo;
    /**
     * 企业规模
     */
    @TableField("enterprise_scale")
    private String enterpriseScale;
    /**
     * 注册资本
     */
    @TableField("registered_capital")
    private BigDecimal registeredCapital;
    /**
     * 企业法人_id
     */
    @TableField("linkmen_id")
    private String linkmenId;
    /**
     * 法定代表人名字
     */
    @TableField("linkmen_name")
    private String linkmenName;
    /**
     * 成立日期
     */
    @TableField("create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 纳税人识别号
     */
    @TableField("enterprise_itin")
    private String enterpriseItin;
    /**
     * 经营状态
     */
    @TableField("business_status")
    private String businessStatus;
    /**
     * 行业分类（关联行业分类表）
     */
    @TableField("industry_code")
    private String industryCode;
    /**
     * 企业类型
     */
    @TableField("enterprise_type")
    private String enterpriseType;
    /**
     * 信用评分
     */
    @TableField("credit_score")
    private int creditScore;
    /**
     * 验证状态
     */
    @TableField("audit")
    private int audit;
    /**
     * 采集人用户id
     */
    @TableField("collect_user_id")
    private String collectUserId;
    /**
     * 采集人
     */
    @TableField("collect_person")
    private String collectPerson;
    /**
     * 采集时间
     */
    @TableField("collect_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;
    /**
     * 入库时间
     */
    @TableField("enter_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date enterTime;
    /**
     * 最近更新时间
     */
    @TableField("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
     * Hash
     */
    @TableField("hash")
    private String hash;

}
